Skip to main content

Documentation Index

Fetch the complete documentation index at: https://astronomer-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Send unauthenticated HTTP requests to the Airflow Provider Registry API. The argument can be either:
  • A path of a registry API endpoint, such as /providers.json or /providers/amazon/modules.json
  • An operation ID from the API spec, such as listProviders or getProviderModulesLatest
The /api prefix is added automatically to paths. Use astro api registry ls to discover all available endpoints and operation IDs.

Usage

astro api registry <endpoint | operation-id> [flags]

Commands

CommandDescription
lsList all available registry API endpoints. Supports an optional filter argument
describe <endpoint>Show details about an endpoint, including path parameters and response schema

Options

OptionDescriptionPossible Values
-F, --fieldAdd a typed parameter in key=value format.Any valid key-value pair
--generatePrint the equivalent curl command instead of executing the request.None
-H, --headerAdd an HTTP request header in key:value format.Any valid header
-i, --includeInclude HTTP response status line and headers in the output.None
--inputThe file to use as the body for the HTTP request. Use - for stdin.A valid file path
-q, --jqApply a jq filter to the response output.Any valid jq expression
-X, --methodThe HTTP method for the request. The default is GET.Any valid HTTP method
-p, --path-paramOverride a path parameter in key=value format. For use with operation IDs.A key-value pair such as providerId=amazon
-f, --raw-fieldAdd a string parameter in key=value format.Any valid key-value pair
--registry-urlOverride the registry base URL. Can also be set with the ASTRO_REGISTRY_URL environment variable.A valid URL
--silentSuppress response output.None
-t, --templateFormat the response using a Go template.Any valid Go template string
--verboseInclude full HTTP request and response in the output.None

Examples

# List all available registry API endpoints
astro api registry ls

# Filter endpoints by keyword
astro api registry ls providers

# Query by operation ID with path parameters
astro api registry getProviderModulesLatest -p providerId=amazon

# Query by path
astro api registry /providers.json

# Use jq filter on response
astro api registry /providers.json --jq '.providers[0].id'

# Use Go template for output
astro api registry listProviders \
  --template '{{range .providers}}{{.id}}{{"\n"}}{{end}}'

# Generate curl command instead of executing
astro api registry /providers.json --generate

# Show full request and response details
astro api registry /providers.json --verbose